#!/usr/bin/perl -w -I/usr/sausalito/perl -I.
# $Id: am_networker.pl,v 1.2 2001/06/13 17:40:52 will Exp $
# Copyright 2000, 2001 Sun Microsystems, Inc., All rights reserved.
#
#
#
# Description:
# 	Syncronizes a boolean property in a namespace with the same property
# in the ActiveMonitor object.  The namespace and property names in ActiveMonitor
# must match that of the original object.
#
use strict;
use CCE;

my $cce = new CCE;
$cce->connectfd();

# retrieve information about the object being changed
my $oid = $cce->event_oid();
my $ns = $cce->event_namespace();
my $prop = $cce->event_property();
my ($ok, $newobj, $oldobj) = $cce->get($oid, $ns);

#
# Change the ActiveMonitor state only on a change of boolean value,
# not just a string value.
#
my $newval = $newobj->{$prop} ? 1 : 0;
my $oldval = $oldobj->{$prop} ? 1 : 0;

if ($newval != $oldval) {
	my @oids = $cce->find("ActiveMonitor");

	# Update the cooresponding ActiveMonitor namespace property
	my $rc = $cce->set($oids[0], $ns, {$prop => $newval});
	if ($rc != 0) {
		$cce->bye('FAIL');
		exit(1);
	}
}

$cce->bye('SUCCESS');
exit(0);

